#pragma once

#include <memory>

class DrawingSurface;
class DrawingContext;
class Grid;

class Rasterizer
{
public:
    Rasterizer();

    void Paint(DrawingSurface* surface, DrawingContext* context);

private:
    std::unique_ptr<Grid> mGrid;
};
